Bug 204934 - [si_LK] pango has cursoring problem in is_cursor_position and backspace_deletes_character
[si_LK] pango has cursoring problem in is_cursor_position and backspace_delet...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
: i18n
Depends On:
Blocks: FC6Update Sinhala 209091
  Show dependency treegraph
 
Reported: 2006-09-01 10:13 EDT by Satyabrata Maitra
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: pango-1.14.6-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 18:43:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed patch (4.01 KB, patch)
2006-09-28 11:15 EDT, Akira TAGOH
no flags Details | Diff
proposed patch (4.01 KB, patch)
2006-09-29 04:23 EDT, Akira TAGOH
no flags Details | Diff
updated patch (7.54 KB, patch)
2006-10-04 04:29 EDT, Akira TAGOH
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 353877 None None None Never

  None (edit)
Description Satyabrata Maitra 2006-09-01 10:13:16 EDT
Description of problem:
The cursoring and the delete opereaion using DELETE key not behaving properly.

Version-Release number of selected component (if applicable):
pango-1.14.2-1.fc6
gedit-2.15.9-1.fc6

How reproducible:
Always

Steps to Reproduce:
1. Open the URL :
http://batman.brisbane.redhat.com/~indic/IndicTC/lang/si_LK/font/IndicFontTestCaseGSUB-Sinhala.html
2. Open gedit
3. Copy and paste the composed char from the URL text box given.
4. Place the cursor either right or left hand side of the char.
5. allow the cursor to go through from right side to left side or vice-varsa by 
   left or right arrow key.
6. Observe the result

  
Actual results:
cursor is going through wrongly accross the char.

Expected results:
cursor should go extreme left and right side with only one left or right arrow
keysrtoke.

Additional info:
Comment 1 Liang Zhang 2006-09-06 22:16:11 EDT
the same bug of upsteam:
http://bugzilla.gnome.org/show_bug.cgi?id=353877
Comment 2 Akira TAGOH 2006-09-28 11:15:02 EDT
Created attachment 137316 [details]
proposed patch

just attach the same patch that submitted to upstream.
Comment 4 Akira TAGOH 2006-09-29 04:23:28 EDT
Created attachment 137369 [details]
proposed patch

just fixed a typo like s/Raphaya/Rephaya/ ...
Comment 5 Akira TAGOH 2006-10-04 04:29:06 EDT
Created attachment 137724 [details]
updated patch
Comment 6 Matthias Clasen 2006-10-12 23:41:13 EDT
This will be fixed when we push pango 1.14.6 out as an update.
Comment 7 Fedora Update System 2006-10-24 16:21:40 EDT
pango-1.14.6-2.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 8 Fedora Update System 2006-10-25 11:52:10 EDT
pango-1.14.6-2.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 9 Fedora Update System 2006-10-30 16:42:34 EST
pango-1.14.6-2.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 10 Danishka Navin 2007-11-21 05:03:54 EST
working with RHEL 5.1

Note You need to log in before you can comment on or make changes to this bug.